List vcard transactions by paypoint

View as MarkdownOpen in Claude
Retrieve a list of virtual card transactions for an entrypoint. Use filters to limit results.

Path parameters

entrystringRequired

The entity’s entrypoint identifier. Learn more

Query parameters

fromRecordintegerOptionalDefaults to 0
The number of records to skip before starting to collect the result set.
limitRecordintegerOptionalDefaults to 20

Max number of records to return for the query. Use 0 or negative value to return all records.

parametersmap from strings to nullable stringsOptional
Collection of field names, conditions, and values used to filter the query. <Info> **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.** Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client, for example: --url https://api-sandbox.payabli.com/api/Query/vcardsTransactions/8cfec329267?parameters=transactionAmount(gt)=100&limitRecord=20 should become: --url https://api-sandbox.payabli.com/api/Query/vcardsTransactions/8cfec329267?transactionAmount(gt)=100&limitRecord=20 </Info> Accepted field names: - `identifier` (eq, ne, ct, nct) - `transactionType` (eq, ne, ct, nct) - `transactionStatus` (eq, ne, ct, nct, in, nin) - `transactionAmount` (eq, ne, gt, ge, lt, le, ct, nct) - `transactionCreatedOn` (eq, ne, gt, ge, lt, le) - `cardToken` (ct, nct, eq, ne) - `lastFour` (ct, nct, eq, ne) - `expirationDate` (ct, nct, eq, ne) - `mcc` (ct, nct, eq, ne) - `payoutId` (gt, lt, eq, ne) - `customerId` (gt, lt, eq, ne) - `vendorId` (gt, lt, eq, ne) - `miscData1` (ct, nct, eq, ne) - `miscData2` (ct, nct, eq, ne) - `currentUses` (gt, ge, lt, le, eq, ne) - `amount` (gt, ge, lt, le, eq, ne) - `balance` (gt, ge, lt, le, eq, ne) - `paypointLegal` (ne, eq, ct, nct) - `paypointDba` (ne, eq, ct, nct) - `orgName` (ne, eq, ct, nct, in, nin) - `externalPaypointID` (ct, nct, eq, ne) - `paypointId` (gt, lt, eq, ne) Accepted comparison operators - enclosed between parentheses: - eq or empty => equal - gt => greater than - ge => greater or equal - lt => less than - le => less or equal - ne => not equal - ct => contains - nct => not contains - in => inside array separated by "|" - nin => not inside array separated by "|"
sortBystringOptional

The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.

Response

Success
Summaryobject
Recordslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error